import React, { useRef, useEffect, useState } from "react";

const SELECTED_BUTTON_CLASS = 'bg-black text-white rounded-md px-2 py-1 m-2'
const UNSELECTED_BUTTON_CLASS = 'bg-neutral-300 text-black rounded-md px-2 py-1 m-2'


const Filters = () => {
  const [type, setType] = useState('symptoms')

  return (
    <>
      <div>
        <button
          className={
            type === "symptoms"
              ? SELECTED_BUTTON_CLASS
              : UNSELECTED_BUTTON_CLASS
          }
          onClick={() => setType("symptoms")}
        >
          Symptoms
        </button>
        <button
          className={
            type === "foods" ? SELECTED_BUTTON_CLASS : UNSELECTED_BUTTON_CLASS
          }
          onClick={() => setType("foods")}
        >
          Foods
        </button>
      </div>
    </>
  );
};

export default Filters
