let fs = require('fs')

let output = {
  symptoms: {
    "Dry Mouth": [],
    "Chills": [],
    "Dehydration": [],
    "Fever": [],
    "Stomach Cramps": [], 
    "Diarrhea": [],
    "Nausea": [],
    "Vomiting": []
  },
  foods: {
    "Food 1": [],
    "Food 2": [],
    "Food 3": [],
    "Food 4": [],
    "Food 5": [], 
    "Food 6": [],
    "Food 7": [],
    "Food 8": []
  }
}

const START_YEAR = 2012
const NUM_YEARS = 10

let timestamps = []
for (let y = START_YEAR; y < START_YEAR + NUM_YEARS; y++) {
  for (let m = 0; m < 12; m++) {
    let d = new Date(y, m)
    timestamps.push(d.getTime())
  }
}

function getRandomInt(max) {
  return Math.floor(Math.random() * max);
}

Object.keys(output).forEach(key1 => {
  Object.keys(output[key1]).forEach(key2 => {
    let value = getRandomInt(100)
    timestamps.forEach(timestamp => {
      let diff = getRandomInt(10) - 5
      value += diff
      value = Math.max(0, value)
      value = Math.min(100, value)
      output[key1][key2].push({
        timestamp,
        value
      })
    })
  })
})

fs.writeFileSync('./output.json', JSON.stringify(output, null, 4))