import { colors } from "./colors.json"

class Colors {
  colorIndex: number
  colors: Array<string>

  constructor() {
    this.colorIndex = 0
    this.colors = colors
  }

  nextColor(): string {
    let colorString = this.colors[this.colorIndex % this.colors.length]
    this.colorIndex++
    return colorString
  }
}

export {
  Colors
}